CP(1)

NUME
cp - copiază fișiere și directoare

SINOPSIS
cp [OPȚIUNE]... [-T] SURSĂ DEST
cp [OPȚIUNE]... SURSĂ... DIRECTOR
cp [OPȚIUNE]... -t DIRECTOR SURSĂ...

DESCRIERE

Copiază SURSĂ la DESTINAȚIE, sau multiple SURSE în DIRECTOR.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a, --archive
    la fel ca -dR --preserve=all

--attributes-only
    nu copiază datele fișierului, ci doar atributele

--backup[=CONTROL]
    face o copie de rezervă a fiecărui fișier destinație existent

-b  la fel ca --backup, dar nu acceptă un argument

--copy-contents
    copiază conținutul fișierelor speciale când este recursiv

-d  la fel ca --no-dereference --preserve=links

--debug
    explică cum este copiat un fișier. Implică -v

-f, --force
    dacă un fișier destinație existent nu poate fi deschis, îl elimină și încearcă din nou (această opțiune este ignorată atunci când este utilizată și opțiunea -n)

-i, --interactive
    solicită acordul înainte de a suprascrie (înlocuiește o opțiune anterioară -n)

-H  urmărește legăturile simbolice din linia de comandă din SURSĂ

-l, --link
    creează legături dure ale fișierelor în loc să-le copieze

-L, --dereference
    urmărește întotdeauna legăturile simbolice din SURSĂ

-n, --no-clobber
    (depreciată) omite silențios fișierele existente. A se vedea, de asemenea, opțiunea --update.

-P, --no-dereference
    nu urmărește niciodată legăturile simbolice din SURSĂ

-p  la fel ca --preserve=mode,ownership,timestamps

--preserve[=LISTĂ_ATRIB]
    păstrează atributele specificate

--no-preserve=LISTĂ_ATRIB
    nu păstrează atributele specificate

--parents
    utilizează numele complet al fișierului sursă de sub DIRECTOR

-R, -r, --recursive
    copiază directoare în mod recursiv

--reflink[=CÂND]
    controlează copiile clone/CoW. A se vedea mai jos

--remove-destination
    elimină fiecare fișier destinație existent înainte de a încerca să-l deschidă (în contrast cu --force)

--sparse=CÂND
    controlează crearea de fișiere dispersate. A se vedea mai jos

--strip-trailing-slashes
    elimină orice bară oblică finală din fiecare argument SURSĂ

-s, --symbolic-link
    face legături simbolice în loc să copieze

-S, --suffix=SUFIX
    înlocuiește sufixul obișnuit de copie de rezervă

-t, --target-directory=DIRECTOR
    copiază toate argumentele SURSĂ în DIRECTOR

-T, --no-target-directory
    tratează DESTINAȚIA ca pe un fișier obișnuit

--update[=UPDATE]
    controlează ce fișiere existente sunt actualizate; UPDATE={all (toate), none (niciunul), none-fail (fără eșec), older (mai vechi, valoarea implicită)}.

-u  echivalent cu --update[=older]. Vedeți mai jos

-v, --verbose
    explică ce se face pe parcursul procesului

--keep-directory-symlink
    urmărește legăturile simbolice existente către directoare

-x, --one-file-system
    rămâne pe acest sistem de fișiere

-Z  stabilește contextul de securitate SELinux al fișierului destinație la tipul implicit

--context[=CTX]
    ca -Z, sau dacă este specificat CTX, stabilește contextul de securitate SELinux sau SMACK la CTX

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

LISTĂ_ATRIB este o listă de atribute separate prin virgule. Atributele sunt: „mode” (modul) pentru permisiuni (inclusiv orice permisiuni ACL și xattr), „ownership” (proprietarul) pentru utilizator și grup, timestamp” (marcajele de timp) pentru marcajele temporale ale fișierelor, „links” pentru legăturile dure, „context” pentru contextul de securitate, „xattr” pentru atributele extinse și „all” pentru toate atributele.

În mod implicit, fișierele SURSĂ dispersate sunt detectate de o euristică brută, iar fișierul DESTINAȚIE corespunzător este, de asemenea, redus. Acesta este comportamentul selectat de --sparse=auto. Specificați --sparse=always pentru a crea un fișier DESTINAȚIE dispersat ori de câte ori fișierul SURSĂ conține o secvență suficient de lungă de zero octeți. Utilizați --sparse=never pentru a inhiba crearea de fișiere dispersate.

UPDATE controlează ce fișiere existente în destinație sunt înlocuite. „all” este operația implicită când nu este specificată o opțiune --update și are ca rezultat înlocuirea tuturor fișierelor existente în destinație. „none” este similară cu opțiunea --no-clobber, prin aceea că niciun fișier din destinație nu este înlocuit, dar nici fișierele omise nu induc un eșec. „none-fail” asigură, de asemenea, că niciun fișier nu este înlocuit în destinație, dar orice fișier omis este diagnosticat și induce un eșec. „older” este operația implicită când este specificată opțiunea --update și are ca rezultat înlocuirea fișierelor dacă sunt mai vechi decât fișierul sursă corespunzător.

Când este specificată --reflink[=always], se efectuează o copiere ușoară, în care blocurile de date sunt copiate numai atunci când sunt modificate. Dacă acest lucru nu este posibil, copierea eșuează sau dacă este specificată --reflink[=auto], se revine la o copiere standard. Utilizați --reflink[=never] pentru a vă asigura că se realizează o copiere standard.

Sufixul copiei de rezervă este „~”, cu excepția cazului în care este stabilit cu opțiunea --suffix sau variabila de mediu SIMPLE_BACKUP_SUFFIX. Metoda de control al versiunii poate fi selectată cu ajutorul opțiunii --backup sau prin intermediul variabilei de mediu VERSION_CONTROL. Iată valorile:

none, off
    nu face niciodată copii de rezervă (chiar dacă este dată opțiunea --backup)

numbered, t
    face copii de rezervă numerotate

existing, nil
    numerotat dacă copiile de rezervă numerotate există, simplu în caz contrar

simple, never
    întotdeauna face copii de rezervă simple

Ca un caz special, cp face o copie de rezervă a sursei SURSĂ atunci când sunt date opțiunile de forțare și de copiere de rezervă, iar SURSĂ și DESTINAȚIE au același nume pentru un fișier obișnuit existent.

AUTOR
Scris de Torbjorn Granlund, David MacKenzie și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
install(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/cp>
sau local rulând comanda: «info '(coreutils) cp invocation'»

Împachetat de Debian (9.7-3)
Drepturi de autor © 2025 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.